%define major 3
%define libname %mklibname globus-io %{major}
%define develname %mklibname globus-io -d

Name:		globus-io
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	12.4
Release:	%mkrel 2
Summary:	Globus Toolkit - uniform I/O interface

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

Requires:	globus-xio-gsi-driver >= 2
BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-xio-gsi-driver) >= 2
BuildRequires:	pkgconfig(globus-gss-assist) >= 8
BuildRequires:	pkgconfig(globus-xio) >= 3
BuildRequires:	pkgconfig(globus-gssapi-gsi) >= 10
BuildRequires:	pkgconfig(globus-gssapi-error) >= 4
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Simple
BuildRequires: libtool-ltdl-devel
BuildRequires:  openssl

%package -n %{develname}
Summary:	Globus Toolkit - uniform I/O interface Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-xio-gsi-driver) >= 2
Requires:	pkgconfig(globus-gss-assist) >= 8
Requires:	pkgconfig(globus-xio) >= 3
Requires:	pkgconfig(globus-gssapi-gsi) >= 10
Requires:	pkgconfig(globus-gssapi-error) >= 4

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
uniform I/O interface to stream and datagram style communications

%package -n %{libname}
Summary: Globus Toolkit - uniform I/O interface
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
uniform I/O interface to stream and datagram style communications

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
uniform I/O interface Development Files

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -rf autom4te.cache

autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus
%make_build

%install
%make_install

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;
rm -rvf $RPM_BUILD_ROOT%{_mandir}

%check
GLOBUS_HOSTNAME=localhost make %{?_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus_*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 12.4-2.mga10
+ Revision: 2215477
- Mageia 10 Mass Rebuild

* Sun Oct 02 2022 neoclust <neoclust> 12.4-1.mga9
+ Revision: 1893924
- New version

* Sat Apr 02 2022 umeabot <umeabot> 12.3-2.mga9
+ Revision: 1840725
- Mageia 9 Mass Rebuild

* Fri Dec 18 2020 joequant <joequant> 12.3-1.mga8
+ Revision: 1660775
- update to 12.3

* Mon May 04 2020 joequant <joequant> 12.2-1.mga8
+ Revision: 1578630
- update version

* Tue Apr 28 2020 joequant <joequant> 11.10-1.mga8
+ Revision: 1572745
- imported package globus-io

